<?php
/**
 * @package Frontend
 * @sub-package Custom Css
 */

/**
 * Get the custom css setting and format catchwebtools_custom_css_display
 * @return [string] [custom css information]
 */
function catchwebtools_custom_css_display(){
	//delete_transient( 'catchwebtools_custom_css' );
	if ( ( !$catchwebtools_custom_css = get_transient( 'catchwebtools_custom_css' ) ) ) {
		$catchwebtools_custom_css ='';

		//For Social Icons
		$social_settings = catchwebtools_get_options( 'catchwebtools_social' );


		if ( isset( $social_settings['status'] ) &&  $social_settings['status'] ) {
			$catchwebtools_custom_css .= '/* CWT Social Icons Custom CSS */'. PHP_EOL .'
				.catchwebtools-social .genericon {';
						if ( isset( $social_settings['social_icon_size'] ) && $social_settings['social_icon_size'] != '' ) {
							$catchwebtools_custom_css .= 'font-size	:	'. esc_attr( $social_settings['social_icon_size'] ) .'px;
										width 		: 	'. esc_attr( $social_settings['social_icon_size'] ).'px;
										height 		:	'. esc_attr( $social_settings['social_icon_size'] ).'px;';
						}

						if ( isset( $social_settings['social_icon_color'] ) && $social_settings['social_icon_color'] != '' ) {
							$catchwebtools_custom_css .= 'color	:	'. esc_attr( $social_settings['social_icon_color'] ) .';';
						}

			$catchwebtools_custom_css .=  '
					vertical-align: middle;
				}';
		}

		$custom_css	=	catchwebtools_get_options( 'catchwebtools_custom_css' );

		if( !empty ( $custom_css ) ){
			$catchwebtools_custom_css .= $custom_css . PHP_EOL ;
		}

		if ( '' != $catchwebtools_custom_css ) {
			$catchwebtools_custom_css = '<style type="text/css">'. $catchwebtools_custom_css. '</style>';
		}

		set_transient( 'catchwebtools_custom_css', $catchwebtools_custom_css, 7 * DAY_IN_SECONDS );
	}

	return $catchwebtools_custom_css;
}
